org.apache.tiles.template

## Class ImportAttributeModel

- java.lang.Object
- - org.apache.tiles.template.ImportAttributeModel

-     public class ImportAttributeModel
      extends Object

  Import attribute(s) in specified context.

  Import attribute(s) to requested scope. Attribute name and scope are optional. If not specified, all attributes are imported in page scope. Once imported, an attribute can be used as any other beans from jsp contexts.

  Since:
    2.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportAttributeModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(String name, String scope, String toName, boolean ignore, Request request)` Executes the model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportAttributeModel

          public ImportAttributeModel()

  - ### Method Detail

    - #### execute

          public void execute(String name,
                              String scope,
                              String toName,
                              boolean ignore,
                              Request request)

      Executes the model.
      Parameters:
        `name` - The name of the attribute to import. If it is `null`, all the attributes will be imported.
        `scope` - The scope into which the attribute(s) will be imported. If `null`, the import will go in page scope.
        `toName` - The name of the attribute into which the attribute will be imported. To be used in conjunction to `name`. If `null`, the value of `name` will be used.
        `ignore` - If `true`, if the attribute is not present, the problem will be ignored.
        `request` - The request.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.